#
# spec file for package coolmail (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         coolmail
Copyright:    GPL
Group:        X11/Applications/Networking
Provides:     coolmail 
Autoreqprov:  on
Version:      1.3
Release:      423
Summary:      Cool XBiff clone
Source:       coolmail-%{version}.tar.gz
Patch0:       coolmail-%{version}.patch
Patch1:       coolmail-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Shows if new mail has arrived. The main advantage of this program is that
you can click into the window to start the mailer.
Documentation: man coolmail

Authors:
--------
    Byron C. Darrah <darrah@kaiwan.com>
    Randall K. Sharpe <rsharpe@ncsa.uiuc.edu>

SuSE series: xap

%prep
%setup
%patch0
%patch1

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/share/man/man1
make DESTDIR="$RPM_BUILD_ROOT" install
strip $RPM_BUILD_ROOT/usr/X11R6/bin/coolmail

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/coolmail
%doc %{_mandir}/man1/*

%changelog -n coolmail
* Wed May 16 2001 - pmladek@suse.cz
- fixed conversions pointer <-> int on ia64:
- compiled with -D=_GNU_SOURCE
- fixed include files
* Tue May 23 2000 - vinil@suse.cz
- sorted in group
* Thu Apr 06 2000 - vinil@suse.cz
- buildroot added
* Tue Jan 18 2000 - ro@suse.de
- specfile cleanup, man -> usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
